com.pivotal.gemfirexd.internal.client.net

## Class NetSqldta

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.Cursor
  - - com.pivotal.gemfirexd.internal.client.net.NetCursor
    - - com.pivotal.gemfirexd.internal.client.net.NetSqldta

    public class NetSqldta
    extends NetCursor

### Nested Class Summary

### Nested classes/interfaces inherited from class com.pivotal.gemfirexd.internal.client.am.Cursor

`Cursor.ThreadContextObjectInputStream`

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.Cursor

`agent_, ALLOW_THREADCONTEXT_CLASSLOADER, BYTES, ccsid_, charsetName_, columnDataComputedLength_, columnDataIsNullCache_, columnDataLengthCache_, columnDataPosition_, columnDataPositionCache_, columns_, currentRowPosition_, dataBuffer_, dataBufferStream_, DBCS_CLOB, fdocaLength_, hasLobs_, isNull_, isUpdateDeleteHole_, isUpdateDeleteHoleCache_, jdbcTypes_, lastValidBytePosition_, locatorProcs_, MBCS_CLOB, NULL_TERMINATED_BYTES, NULL_TERMINATED_STRING, nullable_, position_, ROW_IS_NOT_NULL, ROW_IS_NULL, SBCS_CLOB, STRING, VARIABLE_BYTES, VARIABLE_SHORT_BYTES, VARIABLE_SHORT_STRING, VARIABLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`NetSqldta(NetAgent netAgent)`

### Method Summary

Methods
`protected boolean` `calculateColumnOffsetsForRow()`
`boolean` `next()` Makes the next row the current row.

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.NetCursor

`allocateDataBuffer, allocateDataBuffer, calculateColumnOffsetsForRow_, clearLobData_, findExtdtaData, getBlobColumn_, getClobBytes_, getClobColumn_, getColumnLabel, getDecimalLength, getMoreData_, isDataBufferNull, locator, nullDataForGC, setAllRowsReceivedFromServer`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.Cursor

`allocateCharBuffer, allRowsReceivedFromServer, currentRowPositionIsEqualToNextRowPosition, dataBufferHasUnprocessedData, get_INTEGER, getArray, getAsciiStream, getBinaryStream, getBlob, getCharacterStream, getClob, getDataBuffer, getDataBufferLength, getIsRowUpdated, getIsUpdateDeleteHole, getLastValidBytePosition, getObject, getRef, getUnicodeStream, incrementRowsReadEvent, makeNextRowPositionCurrent, markCurrentRowPosition, markNextRowPosition, resetDataBuffer, setBuffer, setIsRowUpdated, setIsUpdataDeleteHole, setNumberOfColumns, stepNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NetSqldta

    public NetSqldta(NetAgent netAgent)

### Method Detail

#### next

    public boolean next()
                 throws SqlException

Description copied from class: `Cursor`
Makes the next row the current row. Returns true if the current row position is a valid row position.

Overrides:
  `next` in class `Cursor`
Returns:
  `true` if current row position is valid
Throws:
  `SqlException` - if an error occurs

#### calculateColumnOffsetsForRow

    protected boolean calculateColumnOffsetsForRow()